LinuxQuestions.org
Help answer threads with 0 replies.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games
User Name
Password
Linux - Games This forum is for all discussion relating to gaming in Linux.

Notices


Reply
  Search this Thread
Old 06-17-2005, 11:46 AM   #1
Hungry ghost
Senior Member
 
Registered: Dec 2004
Posts: 1,222

Rep: Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667
Problems with Sim City 3000 unlimited


HI all, I'm on FC3 and installed Sim City 3000 unlimited but when I tried to run it, I found an error with glibc after googling for this, I found I need a patch, the problem is when I try to run the patch I get this:
Code:
[root@localhost vicente]# sh sc3u-2.0a-x86.run
Verifying archive integrity...OK
Uncompressing SimCity 3000 Unlimited 2.0a Updatetrap: usage: trap [-lp] [arg signal_spec ...]
[root@localhost vicente]#
Does someone know how to patch this game succesfully and play it??
Thanks in advance.
 
Old 06-17-2005, 02:23 PM   #2
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 47
Code:
trap: usage: trap [-lp] [arg signal_spec ...]
That's the default error message you get when running the bash built-in `trap' with too few, many or wrong arguments.

I would guess that sc3u-2.0a-x86.run is, contains or creates a bash script.

could you please look in sc3u-2.0a-x86.run--and if it's readable or contains readable chunks of a reasonable size, post them? Otherwise please just post the output of this:
Code:
$ file sc3u-2.0a-x86.run
--Jonas
 
Old 06-17-2005, 02:31 PM   #3
Hungry ghost
Senior Member
 
Registered: Dec 2004
Posts: 1,222

Original Poster
Rep: Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667
OK, it's a long file (7mb) but the readable part is this:

label="SimCity 3000 Unlimited 2.0a Update"
script=./update.sh
targetdir=sc3u-2.0a-x86
scriptargs=""
keep=n
finish=true; xterm_loop=;
[ x"$1" = x-xwin ] && {
finish="echo Press Return to close this window...; read junk"; xterm_loop=1; shift 1;
}
if [ x"$1" = "x-help" -o x"$1" = "x--help" ]; then
cat << tac
1) Getting help or info about $0 :
$0 --help Print this message
$0 --info Print embedded info : title, default target directory, embedded script ...
$0 --lsm Print embedded lsm entry (or no LSM)
$0 --list Print the list of files in the archive
$0 --check Checks integrity of the archive

2) Running $0 :
$0 [options] [additional arguments to embedded script]
with following options (in that order)
--confirm Ask before running embedded script
--keep Do not erase target directory after running embedded script
--target NewDirectory Extract in NewDirectory
tac
exit 0;
fi
if [ x"$1" = "x-lsm" -o x"$1" = "x--lsm" ]; then
cat << EOF_LSM
no LSM
EOF_LSM
exit 0;
fi
if [ "$1" = "--info" ]; then
echo Identification: $label
echo Target directory: $targetdir
echo Uncompressed size: 8674 KB
echo Compression: gzip
echo Date of packaging: Tue Nov 7 17:18:06 PST 2000
echo script run after extraction: $script $scriptargs
[ x"$keep" = xy ] && echo "directory $targetdir is permanent" || echo "$targetdir will be removed after extraction"
exit 0;
fi
if [ "$1" = "--list" ]; then
echo Target directory: $targetdir
tail +$skip $0 | gzip -cd | tar tvf -
exit 0;
fi
if [ "$1" = "--check" ]; then
sum1=`tail +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ -f1`
[ $sum1 -ne $CRCsum ] && {
echo Error in checksums $sum1 $CRCsum
exit 2;
}
if [ $MD5 != "00000000000000000000000000000000" ]; then
# space separated list of directories
[ x"$GUESS_MD5_PATH" = "x" ] && GUESS_MD5_PATH="/usr/local/ssl/bin"
MD5_PATH=""
for a in $GUESS_MD5_PATH; do
if which $a/md5 >/dev/null 2>&1 ; then
MD5_PATH=$a;
fi
done
if [ -x $MD5_PATH/md5 ]; then
md5sum=`tail +6 $0 | $MD5_PATH/md5`;
[ $md5sum != $MD5 ] && {
echo Error in md5 sums $md5sum $MD5
exit 2;
} || { echo check sums and md5 sums are ok; exit 0; }
fi
if [ ! -x $MD5_PATH/md5 ]; then
echo an embedded md5 sum of the archive exists but no md5 program was found in $GUESS_MD5_PATH
echo if you have md5 on your system, you should try :
echo env GUESS_MD5_PATH=\"FirstDirectory SecondDirectory ...\" $0 -check
fi
else
echo check sums are OK ; echo $0 does not contain embedded md5 sum ;
fi
exit 0;
fi
[ x"$finish" = x ] && finish=true
parsing=yes
x11=y
while [ x"$parsing" != x ]; do
case "$1" in
--confirm) verbose=y; shift;;
--keep) keep=y; shift;;
--nox11) x11=n; shift;;
--target) if [ x"$2" != x ]; then targetdir="$2"; keep=y; shift 2; fi;;
*) parsing="";;
esac
done
if [ "$x11" = "y" ]; then
if ! tty -s; then # Do we have a terminal?
if [ x"$DISPLAY" != x -a x"$xterm_loop" = x ]; then # No, but do we have X?
if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
GUESS_XTERMS="dtterm eterm Eterm xterm rxvt kvt"
for a in $GUESS_XTERMS; do
if which $a >/dev/null 2>&1; then
XTERM=$a
break
fi
done
chmod a+x $0 || echo Please add execution rights on $0
if [ `echo "$0" | cut -c1` = / ]; then # Spawn a terminal!
exec $XTERM -title "$label" -e "$0" -xwin "$@"
else
exec $XTERM -title "$label" -e "./$0" -xwin "$@"
fi
fi
fi
fi
fi
if [ "$keep" = y ]; then echo "Creating directory $targetdir"; tmpdir=$targetdir;
else tmpdir="/tmp/selfgz$$"; fi
mkdir $tmpdir || {
$echo 'Cannot create target directory' $tmpdir >&2
$echo 'you should perhaps try option -target OtherDirectory' >&2
eval $finish; exit 1;
}
location=`pwd`
echo=echo; [ -x /usr/ucb/echo ] && echo=/usr/ucb/echo
$echo -n Verifying archive integrity...
sum1=`tail +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ -f1`
[ $sum1 -ne $CRCsum ] && {
$echo Error in check sums $sum1 $CRCsum
eval $finish; exit 2;
}
echo OK
if [ $MD5 != \"00000000000000000000000000000000\" ]; then
# space separated list of directories
[ x$GUESS_MD5_PATH = x ] && GUESS_MD5_PATH=\"/usr/local/ssl/bin\"
MD5_PATH=\"\"
for a in $GUESS_MD5_PATH; do
if which $a/md5 >/dev/null 2>&1 ; then
MD5_PATH=$a;
fi
done
if [ -x $MD5_PATH/md5 ]; then
md5sum=`tail +6 $0 | $MD5_PATH/md5`;
[ $md5sum != $MD5 ] && {
$echo Error in md5 sums $md5sum $MD5
eval $finish; exit 2;
}
fi
fi
$echo -n "Uncompressing $label"
cd $tmpdir
[ "$keep" = y ] || trap 'cd /tmp; /bin/rm -rf $tmpdir; exit $res'
if ( (cd $location; tail +$skip $0; ) | gzip -cd | { tar xvf - || failed=y ; } | (while read a; do $echo -n .; done; echo; )); then
if [ x$failed = xy ]; then
echo 'File extraction failed!'; cd /tmp; /bin/rm -rf $tmpdir; eval $finish; exit 1
fi
chown -Rf `id -u`.`id -g` .
res=0; if [ x"$script" != x ]; then
if [ x"$verbose" = xy ]; then
$echo "OK to execute: $script $scriptargs $* ? [Y/n] "
read yn
[ x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY ] && { $script $scriptargs $*; res=$?; }
else
$script $scriptargs $*; res=$?
fi
[ $res != 0 ] && echo "The program returned an error code ($res)"
fi
[ "$keep" = y ] || { cd /tmp; /bin/rm -rf $tmpdir; }
else
echo "Cannot decompress $0"; eval $finish; exit 1
fi
eval $finish; exit $res
END_OF_STUB

The result of 'file sc3u-2.0a-x86.run' was this:
[vicente@localhost ~]$ file sc3u-2.0a-x86.run
sc3u-2.0a-x86.run: Bourne shell script text executable
[vicente@localhost ~]$
 
Old 06-17-2005, 02:43 PM   #4
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 47
1) When posting code, please put it in code tags (i.e. [ code ] <put the code here> [ /code ] --- but without the extra spaces).

2) could you upload the file to somewhere so I could see all of it? Otherwise mail it to jonaskoelker@users.sourceforge.net, please.

3) Could you please run it like this:
$ bash -x fname.run
(where fname is that dumb name that takes forever to type ) and either post the output, or (if its too big) upload it or mail it to me?

--Jonas
 
Old 06-17-2005, 03:01 PM   #5
Hungry ghost
Senior Member
 
Registered: Dec 2004
Posts: 1,222

Original Poster
Rep: Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667
Ok, the file is located here . I applied the patch as you said and did patch the game. The problem now is when I try to run the game I get this error:
Code:
[vicente@localhost ~]$ sc3u
Violación de segmento
[vicente@localhost ~]
(Means Segmentation fault). I think I saw something about this in google, gonna look again.
 
Old 06-17-2005, 03:18 PM   #6
Hungry ghost
Senior Member
 
Registered: Dec 2004
Posts: 1,222

Original Poster
Rep: Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667
Thumbs up

Ok, after googling, I found I have to run the game like this:
Code:
LD_ASSUME_KERNEL=2.2.4 /usr/local/games/SC3U/sc3u
. For me, it worked substituting '2.2.4' for '2.2.5'. Works good. Thanks for your help on patching the game.
 
Old 06-17-2005, 03:24 PM   #7
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 47
Quote:
Thanks for your help on patching the game.
Uhh... Did I help? Oh, well...

You're welcome

--Jonas
 
Old 07-12-2005, 08:02 AM   #8
almightyfish
LQ Newbie
 
Registered: Jul 2005
Posts: 1

Rep: Reputation: 0
hi there,
i managed to fix the updatescript by editing two things:

[ "$keep" = y ] || trap 'cd /tmp; /bin/rm -rf $tmpdir; exit $res'
to
[ "$keep" = y ] || trap -lp 'cd /tmp; /bin/rm -rf $tmpdir; exit $res'

after that it complained about the checksum

so i disabled this line:
#CRCsum=2069455402

and it worked

maybe not the best way - but workin
 
Old 07-17-2005, 05:11 AM   #9
tchernobog
Member
 
Registered: Aug 2003
Distribution: Latest Gentoo; Mandrake 9.1
Posts: 37

Rep: Reputation: 15
You could have applied the patch also deleting the first lines (where readable) and then saving the file as a tar.gz. Unpacking it would create a directory with an "update.sh" file.

Anyway, I'm not able to run the game: it starts, but it presents no video. I can hear sound, anyway. Anybody with this issue?
 
Old 07-17-2005, 09:39 AM   #10
Hungry ghost
Senior Member
 
Registered: Dec 2004
Posts: 1,222

Original Poster
Rep: Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667
I'm not sure, but I finally had to delete it when upgrading to FC4.
 
Old 07-22-2005, 03:12 PM   #11
Nille_kungen
Member
 
Registered: Jul 2005
Distribution: Slackware64-current
Posts: 587

Rep: Reputation: 211Reputation: 211Reputation: 211
The patch script was made for the Bourne Again SHell (bash) so you should always try this when it doesn't work.
bash sc3u-2.0a-x86.run
I can read that u did it and got it to update.
But if i get things right it still Segmentation faults?
 
Old 07-24-2005, 04:46 PM   #12
Hungry ghost
Senior Member
 
Registered: Dec 2004
Posts: 1,222

Original Poster
Rep: Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667
The pathc applied cleanly in the way jonaskoelker told me to apply it but still got errors when running sc3u so I had to run it like this:
Code:
LD_ASSUME_KERNEL=2.2.4 /usr/local/games/SC3U/sc3u
Anyway after I upgraded to FC4 (clean install) I had to erase the game, so doesn't matter now.
 
Old 12-06-2005, 11:23 AM   #13
Thoddy
Member
 
Registered: Jul 2003
Location: Bremen, Germany
Distribution: Ubuntu 9.10
Posts: 106

Rep: Reputation: 15
Question

Quote:
Originally Posted by odiseo77
The pathc applied cleanly in the way jonaskoelker told me to apply it but still got errors when running sc3u so I had to run it like this:
Code:
LD_ASSUME_KERNEL=2.2.4 /usr/local/games/SC3U/sc3u
Anyway after I upgraded to FC4 (clean install) I had to erase the game, so doesn't matter now.
Hey anyone. I also installed FC4 and would love to play Sim City 3000 once more - I know its old, but I love it!! The
Code:
LD_ASSUME_KERNEL=2.2.4
does not work! I get
Code:
 LD_ASSUME_KERNEL=2.2.4 bash setup.sh
This installation doesn't support glibc-2.1 on Linux / x86

Please contact Loki Technical Support at support@lokigames.com
Does anyone know what I can do here??

PLEASE!
 
Old 12-12-2005, 07:02 AM   #14
Hungry ghost
Senior Member
 
Registered: Dec 2004
Posts: 1,222

Original Poster
Rep: Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667Reputation: 667
Sorry if I can't help you there. I made a FC4 clean install and erased the game. Since that, I haven't reinstalled it. Anyway, you can try the following code:

Code:
LD_ASSUME_KERNEL=2.2.5 /usr/local/games/SC3U/sc3u
It worked for me on FC3, maybe on FC4 works too.

Last edited by Hungry ghost; 12-12-2005 at 07:03 AM.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Sim City 3000 Gerardoj Linux - Software 10 07-30-2006 10:20 AM
Sim City 3000 setup won't start because of glibc dopehouse Linux - Games 14 01-27-2006 05:37 PM
sim city 3000 berrance Linux - Games 3 01-23-2005 03:19 AM
Sim City 3000 Unlimited trouble Salesmunn Linux - Software 10 09-14-2004 05:13 PM
Sim City 3000 and Cross Over office jelitegamer Linux - Games 1 03-22-2004 03:23 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games

All times are GMT -5. The time now is 07:54 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration